package com.iamberry.wechat.service;

import com.iamberry.wechat.core.entity.member.Member;

/**
 * 商城相关工具
 * 2016年11月16日
 * mzx
 * @author Administrator
 *
 */
public class ShopUtil {
	/**
	 * 当前用户是否可以发展下线
	 * 2016年11月16日
	 * @author mzx
	 * @param member
	 * @return
	 */
	public static boolean isFlag(Member member){
		boolean flag = false;
		if(member == null){return flag;}
		//此用户关系必须是已绑定
		
		//只有发生过购买的人，才能发展下线。
		if(member.getUserIsBought() != null && member.getUserIsBought().intValue() == 2){
			flag = true;
		}
		/*if(member.getUserIsFlag() != null && member.getUserIsFlag().intValue() == 2){
			if(member.getUserResType() == null){return flag;}
			if(member.getUserResType() == 1){//无上线、已关注 则为自己关注的用户 可以发展下线
				if(member.getUserStatus() != null && member.getUserStatus().intValue() == 2){
					flag = true;
				}
			}else{//有上线、已购买  可以发展下线
				if(member.getUserIsBought() != null && member.getUserIsBought().intValue() == 2){
					flag = true;
				}
			}*/

		return flag;
	}
}
